unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, ExtCtrls, NetTView, VSNView;

type

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Resource: TRadioGroup;
    CBInOtherThread: TCheckBox;
    CBAutoExpand: TCheckBox;
    VSNetTreeView1: TVSNetTreeView;
    ImageList1: TImageList;
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure VSNetTreeView1Done(Sender: TObject);
    procedure VSNetTreeView1Change(Sender: TObject; Node: TTreeNode);
  private
    { Private declarations }
  public
  end;

var
  Form1: TForm1;
  StoredCursor: TCursor;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Label1.Caption:='Network provider: '+VSNetTreeView1.ProviderName;
  Label2.Caption:='Computer name: '+VSNetTreeView1.ComputerName;
  Label3.Caption:='Workgroup (Domain): '+VSNetTreeView1.WorkGroupName;
  Label4.Caption:='OS: '+VSNetTreeView1.OSName;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  VSNetTreeView1.ResourceType:=TResourceType(Resource.ItemIndex);
  VSNetTreeView1.InOtherThread:=CBInOtherThread.Checked;
  VSNetTreeView1.AutoExpanding:=CBAutoExpand.Checked;
  Button2.Visible:=CBInOtherThread.Checked;
  Button1.Enabled:=False;
  StoredCursor:=Screen.Cursor;
  if VSNetTreeView1.InOtherThread
  then Screen.Cursor:=crAppStart
  else Screen.Cursor:=crHourGlass;
  VSNetTreeView1.EnumNetwork;
  if not VSNetTreeView1.EnumRunning then
  begin
    Screen.Cursor:=StoredCursor;
    Button1.Enabled:=True;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  VSNetTreeView1.StopEnumNetwork;
end;

procedure TForm1.VSNetTreeView1Done(Sender: TObject);
begin
  Button1.Enabled:=not VSNetTreeView1.EnumRunning;
  Button2.Visible:=VSNetTreeView1.EnumRunning;
  if VSNetTreeView1.InOtherThread then Screen.Cursor:=StoredCursor;
end;

procedure TForm1.VSNetTreeView1Change(Sender: TObject; Node: TTreeNode);
begin
  Label5.Caption:='Resource path: '+VSNetTreeView1.Path;
end;

end.

